Status: New % Done: 0%
Assignee:    
Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

To support networking within foreman. This is more the concept of a nice data structure for networking. This would be

eth | bond | vlan | bridge

Bearing in mind RHEL 6 versions with SMBIOS 2.6 will have the devbiosname convention so eth may not be applicable in terms of

the device. I guess the provisioning templates would need to be setup in a way to interpret the data held in a generic way, but that

data be available from the API / internally as other data is now.

Perhaps this would be better abstracted like the disk layout is and having a network management area that can deal with this.

Currently i have implemented python code, which pulls all the host parameter data (there is a bug request for this to be available via

the api) filters on specific named variables; i've chosen:

eth|vlan|bond as this is the use case for ourselves, but probably will be greater in other places.

The validation i have performed is:

1) A VLAN has to have vlan???_device defined to know what device to associate the vlan with

2) bond?_interfaces also has to be defined to know the interfaces

3) bond?_interfaces also will check whether those interfaces have also been configured by mistake with address details and there is

a conflict there.

4) An IP has to have a netmask

5) A netmask or gateway has to have an IP defined

If it's a plain eth it can be configured as expected, if eth is in a bond it obviously will have different elements.

It is also nice that currently with host paramters, you can override i.e. i could define a bond mechanism i.e. eth0,eth1 for bond0 and

that be inherited and if necessary can be overriden, this is useful for standardising on bond configurations, so that feature would also

be useful if it is done within foreman.

Hope this information helps.

Related issues:

Related to Foreman - Feature #2111: Add Foreman configuration values to ENC o... New 01/07/2013

Related to Foreman - Feature #2240: Full Multiple Interface Support Closed 02/20/2013

Related to Foreman - Feature #6444: Add ancestry NICs and allow interfaces wi... Closed 06/30/2014

Related to Foreman - Bug #3864: Change ignore_puppet_facts_for_provisioning d... Rejected 12/12/2013

Related to Foreman - Feature #7401: Add support for bond interfaces Closed 09/10/2014

Related to Foreman - Bug #7405: FreeBSD bond interfaces lead to constant swit... Closed 09/10/2014

Related to Foreman - Refactor #7456: Extract primary interface from host Closed 09/16/2014

Related to Foreman - Refactor #7457: Rework static flag in provisioning Duplicate 09/16/2014

Related to Foreman - Feature #7458: Allow searching of hosts based on mac add... Closed 09/16/2014

Related to Foreman - Feature #5458: Make setting static IP more user friendly Closed 04/25/2014

Related to Foreman - Refactor #7459: Rename Nic::Managed or merge with Nic::I... New 09/16/2014

Related to Foreman - Feature #7460: Improve interfaces configuration in kicks... New 09/16/2014

Related to Foreman - Feature #7462: Improve user interface of interface confi... Closed 09/16/2014
Related to Foreman - Bug #4203:  When using a compute resource, additional NI... Resolved 01/28/2014

Related to Foreman - Feature #7463: Support for bridge devices Closed 09/16/2014

Related to Foreman - Feature #2089: Expose network configuration via ENC Closed 01/02/2013

Related to Foreman - Feature #7469: Provide custom facts to improve network f... New 09/16/2014

Related to Foreman - Bug #7470: Fix alias vs. vlan interface detection when p... New 09/16/2014

Related to Foreman - Feature #7471: Suggest new IP for interface link, simila... Resolved 09/16/2014

Related to Foreman - Feature #7472: Improve autoupdate and autodeletion of in... New 09/16/2014

Related to Foreman - Feature #7474: Allow boot mode to be overridden on inter... New 09/16/2014

Related to Foreman - Feature #7475: Debian post script to configure network i... Closed 09/16/2014

Related to Foreman - Feature #3695: Add a device name to additional host inte... Resolved 11/19/2013

Related to Foreman - Feature #2156: Be able to set netmask and not mac when u... Resolved 01/24/2013

Related to Foreman - Bug #2749: Failed to fetch bmc information: undefined me... Closed 07/05/2013

Related to Foreman - Refactor #7829: Improve rendering of nic forms New 10/07/2014

Related to Foreman - Bug #7830: Make interface API output specific per class Closed 10/07/2014

Related to Foreman - Feature #8086: Adding network interfaces that aren't dhc... Resolved 10/23/2014

Related to Foreman - Bug #8111: Openstack networking doesn't allow to set one... New 10/27/2014

Related to Foreman - Feature #8312: As an provisioner, I would like the abili... Resolved 11/06/2014

Related to Foreman - Bug #8362: Add help popup for IPAM and BootMode on Subne... Duplicate 11/12/2014

Related to Foreman - Bug #8515: Display better errors if two interfaces with ... New 11/26/2014

Related to Foreman - Feature #7644: Link compute-profile network-interface wi... New 09/26/2014

Related to Katello - Feature #8841: Support new Foreman networking features i... Duplicate 01/06/2015

Related to Foreman - Bug #8912: Foreman 1.7.1 Host/Nic seems to cause extra d... Resolved 01/07/2015

Related to Foreman - Refactor #9047: Remove legacy delegations to primary int... New 01/20/2015

Related to Foreman - Bug #9058: Changing organization/location when creating ... Closed 01/21/2015

Related to Foreman - Feature #9104: Disable auto network interfaces Closed 01/25/2015

Related to Foreman - Bug #9160: Image based provisioning does not honor provi... Closed 01/29/2015

Related to Foreman - Bug #9186: Multinic migration db skiped for unmanaged hosts Closed 02/02/2015

Related to Foreman - Bug #9170: Wrong nic order in libvirt domain Closed 01/29/2015

Related to Foreman - Bug #9227: Remove ip and mac attributes Duplicate 02/04/2015

Related to Foreman - Bug #9249: Associate host with vm fails for all compute ... Closed 02/06/2015

Related to Foreman - Bug #9198: undefined method `to_enc' for #<Nic::Base:xxx... Closed 02/03/2015

Related to Foreman - Bug #9287: Networking configuration snippet should be us... Closed 02/09/2015

Related to Foreman - Bug #9296: Cannot change bond without mac address set Rejected 02/09/2015

Related to Foreman - Bug #9265: Managed BMC interface does not get a DHCP IP New 02/06/2015

Related to Foreman - Bug #9324: Suggest IP is not triggered for primary inter... Closed 02/11/2015

Related to Foreman - Bug #9325: Editing interface in modal window resets comp... Closed 02/11/2015

Related to Foreman - Bug #9351: Interfaces tab turns red with Not Found messa... Closed 02/12/2015

Related to Foreman - Bug #9657: API for creating host can't merge NICs from c... Closed 03/05/2015

Related to Foreman - Feature #10260: Allow interfaces management for unmanage... Closed 04/24/2015

Related to Foreman - Feature #10380: List static IP addresses that are assign... New 05/05/2015

Related to Foreman - Feature #3554: Enable provisioning on non-primary interface Resolved 11/01/2013

Related to Foreman - Bug #12013: Cannot provision host because MAC address is... Closed 09/30/2015

Related to Foreman - Bug #12943: VLAN templating only works if specified in t... Closed 12/24/2015

History

#1 - 04/18/2013 07:08 AM - Dominic Cleal

- Category set to Network

- Target version deleted (1.2.0)

#2 - 04/18/2013 08:07 AM - Ohad Levy

I guess this mostly match to the existing interfaces structure, maybe we just need to allow accessing them via templates/enc data?

#3 - 08/01/2013 10:17 AM - Dominic Cleal
- Related to Feature #2240: Full Multiple Interface Support added

#4 - 07/30/2014 08:53 AM - Ohad Levy

- Related to Feature #6444: Add ancestry NICs and allow interfaces with same MAC added

#5 - 09/02/2014 04:10 AM - Marek Hulán

- Related to Bug #3864: Change ignore_puppet_facts_for_provisioning default to true added

#6 - 09/10/2014 08:29 AM - Marek Hulán

- Related to Feature #7401: Add support for bond interfaces added

#7 - 09/11/2014 02:21 AM - Marek Hulán

- Related to Bug #7405: FreeBSD bond interfaces lead to constant switching of primary interface added

#8 - 09/16/2014 08:22 AM - Marek Hulán

- Tracker changed from Feature to Tracker

- Description updated

Converting to tracker, issues for subtasks will follow

#9 - 09/16/2014 08:22 AM - Marek Hulán

- Related to Refactor #7456: Extract primary interface from host added

#10 - 09/16/2014 08:24 AM - Marek Hulán

- Related to Refactor #7457: Rework static flag in provisioning added

#11 - 09/16/2014 08:26 AM - Marek Hulán

- Related to Feature #7458: Allow searching of hosts based on mac address (including all interfaces) added

#12 - 09/16/2014 08:33 AM - Marek Hulán

- Related to Feature #5458: Make setting static IP more user friendly added

#13 - 09/16/2014 08:37 AM - Marek Hulán

- Related to Refactor #7459: Rename Nic::Managed or merge with Nic::Interface class added

#14 - 09/16/2014 08:52 AM - Marek Hulán

- Related to Feature #7460: Improve interfaces configuration in kickstart templates added

#15 - 09/16/2014 08:58 AM - Marek Hulán

- Related to Feature #7462: Improve user interface of interface configuration added

#16 - 09/16/2014 09:14 AM - Marek Hulán

- Related to Bug #4203:  When using a compute resource, additional NICs don't work. added

#17 - 09/16/2014 09:17 AM - Marek Hulán

- Related to Feature #7463: Support for bridge devices added

#18 - 09/16/2014 10:16 AM - Marek Hulán

- Related to Feature #2089: Expose network configuration via ENC added

#19 - 09/16/2014 10:32 AM - Marek Hulán

- Related to Feature #7469: Provide custom facts to improve network facts parsing experience added

#20 - 09/16/2014 10:32 AM - Marek Hulán

- Related to Bug #7470: Fix alias vs. vlan interface detection when parsing facts added

#21 - 09/16/2014 10:35 AM - Marek Hulán
- Related to Feature #7471: Suggest new IP for interface link, similar to what we have for host added

#22 - 09/16/2014 10:40 AM - Marek Hulán

- Related to Feature #7472: Improve autoupdate and autodeletion of interfaces based on facts added

#23 - 09/16/2014 10:43 AM - Marek Hulán

- Related to Feature #7474: Allow boot mode to be overridden on interface level added

#24 - 09/16/2014 10:46 AM - Marek Hulán

- Related to Feature #7475: Debian post script to configure network interfaces added

#25 - 09/16/2014 10:48 AM - Marek Hulán

- Related to Feature #3695: Add a device name to additional host interfaces added

#26 - 09/16/2014 10:54 AM - Marek Hulán

- Related to Feature #2156: Be able to set netmask and not mac when using multiple nics added

#27 - 10/01/2014 06:54 AM - Ohad Levy

- translation missing: en.field_release set to 21

#28 - 10/01/2014 07:10 AM - Ohad Levy

- Related to Bug #2749: Failed to fetch bmc information: undefined method `downcase' for nil:NilClass added

#29 - 10/07/2014 03:57 AM - Marek Hulán

- Related to Refactor #7829: Improve rendering of nic forms added

#30 - 10/07/2014 04:43 AM - Marek Hulán

- Related to Bug #7830: Make interface API output specific per class added

#31 - 10/24/2014 03:45 AM - Dominic Cleal

- Related to Feature #8086: Adding network interfaces that aren't dhcp-managed added

#32 - 10/27/2014 05:42 AM - Romain Vrignaud

- Related to Bug #8111: Openstack networking doesn't allow to set one DNS name per interface added

#33 - 10/28/2014 05:17 AM - Dominic Cleal

- Target version set to 1.7.2

#34 - 10/28/2014 05:22 AM - Dominic Cleal

- translation missing: en.field_release deleted (21)

#35 - 11/07/2014 06:31 AM - Dominic Cleal

- Related to Feature #8312: As an provisioner, I would like the ability to supply a FQDN for the BMC address instead of an IP. added

#36 - 11/12/2014 07:01 AM - Greg Sutcliffe

- Related to Bug #8362: Add help popup for IPAM and BootMode on Subnet#_form added

#37 - 11/26/2014 09:04 AM - Marek Hulán

- Related to Bug #8515: Display better errors if two interfaces with same MAC uses same DHCP added

#38 - 12/09/2014 10:02 AM - Dominic Cleal

- Related to Feature #7644: Link compute-profile network-interface with specific subnet added

#39 - 01/06/2015 06:27 AM - Stephen Benjamin

- Related to Feature #8841: Support new Foreman networking features in Katello templates added

#40 - 01/13/2015 08:12 AM - Dominic Cleal
- Related to Bug #8912: Foreman 1.7.1 Host/Nic seems to cause extra database load added

#41 - 01/20/2015 07:29 AM - Tomáš Strachota

- Related to Refactor #9047: Remove legacy delegations to primary interface from Host added

#42 - 01/21/2015 05:13 AM - Tomáš Strachota

- Related to Bug #9058: Changing organization/location when creating new host resets interfaces setup added

#43 - 01/25/2015 02:00 PM - Marek Hulán

- Related to Feature #9104: Disable auto network interfaces added

#44 - 01/29/2015 05:36 AM - Marek Hulán

- Related to Bug #9160: Image based provisioning does not honor provision interface added

#45 - 02/02/2015 05:08 AM - Romain Vrignaud

- Related to Bug #9186: Multinic migration db skiped for unmanaged hosts added

#46 - 02/05/2015 04:05 AM - Dominic Cleal

- Related to Bug #9170: Wrong nic order in libvirt domain added

#47 - 02/05/2015 04:42 AM - Dominic Cleal

- Related to Bug #9227: Remove ip and mac attributes added

#48 - 02/06/2015 03:33 AM - Dominic Cleal

- Related to Bug #9249: Associate host with vm fails for all compute resources but Ovirt added

#49 - 02/06/2015 05:38 AM - Marek Hulán

- Related to Bug #9198: undefined method `to_enc' for #<Nic::Base:xxx> after migrating from older DB added

#50 - 02/09/2015 05:39 AM - Marek Hulán

- Related to Bug #9287: Networking configuration snippet should be used during image based provisioning added

#51 - 02/10/2015 02:53 AM - Marek Hulán

- Related to Bug #9296: Cannot change bond without mac address set added

#52 - 02/10/2015 10:20 AM - Dominic Cleal

- Related to Bug #9265: Managed BMC interface does not get a DHCP IP added

#53 - 02/11/2015 08:34 AM - Marek Hulán

- Related to Bug #9324: Suggest IP is not triggered for primary interface added

#54 - 02/11/2015 08:37 AM - Marek Hulán

- Related to Bug #9325: Editing interface in modal window resets compute resource NIC attributes added

#55 - 02/12/2015 07:49 AM - Marek Hulán

- Related to Bug #9351: Interfaces tab turns red with Not Found message if foreman is deployed on sub-uri added

#56 - 03/05/2015 10:36 AM - Tomáš Strachota

- Related to Bug #9657: API for creating host can't merge NICs from compute profiles added

#57 - 04/24/2015 04:46 AM - Marek Hulán

- Related to Feature #10260: Allow interfaces management for unmanaged hosts added

#58 - 05/06/2015 03:42 AM - Marek Hulán

- Related to Feature #10380: List static IP addresses that are assigned using the "Internal DB" method of IP Address Management added

#59 - 06/01/2015 10:05 AM - Marek Hulán
- Related to Feature #3554: Enable provisioning on non-primary interface added

#60 - 10/01/2015 06:25 AM - Marek Hulán

- Related to Bug #12013: Cannot provision host because MAC address is supposedly taken added

#61 - 01/04/2016 04:26 AM - Marek Hulán

- Related to Bug #12943: VLAN templating only works if specified in the subnet, not in the interface added

#62 - 07/23/2018 11:30 AM - Tomer Brisker

- Target version deleted (1.7.2)
